_Eldbus_Service_Interface_Desc Struct Reference
Eldbus » Service

## Data Fields

const char * | interface
| interface name
const Eldbus_Method * | methods
| array of the methods that should be registered in this interface, the last item of array should be filled with NULL
const Eldbus_Signal * | signals
| array of signal that this interface send, the last item of array should be filled with NULL
const Eldbus_Property * | properties
| array of property that this interface have, the last item of array should be filled with NULL
const Eldbus_Property_Get_Cb | default_get
| default get function, if a property don't have a get function this will be used
const Eldbus_Property_Set_Cb | default_set
| default set function, if a property don't have a set function this will be used